Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class SystemPropertyUtils

    java.lang.Object
      org.springframework.util.SystemPropertyUtils

    public abstract class SystemPropertyUtils

extends Object

Helper class for resolving placeholders in texts. Usually applied to file paths.

A text may contain `${...}` placeholders, to be resolved as system properties: e.g. `${user.dir}`.

Since:
  1.2.5
Author:
  Juergen Hoeller
See Also:
  `PLACEHOLDER_PREFIX`, `PLACEHOLDER_SUFFIX`, `System.getProperty(String)`

Field Summary
`static String` | `PLACEHOLDER_PREFIX` Prefix for system property placeholders: "${"
`static String` | `PLACEHOLDER_SUFFIX` Suffix for system property placeholders: "}"

Constructor Summary
`SystemPropertyUtils()`

Method Summary
`static String` | `resolvePlaceholders(String text)` Resolve ${...} placeholders in the given text, replacing them with corresponding system property values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLACEHOLDER_PREFIX

    public static final String PLACEHOLDER_PREFIX

  Prefix for system property placeholders: "${"

  See Also:
    Constant Field Values

### PLACEHOLDER_SUFFIX

    public static final String PLACEHOLDER_SUFFIX

  Suffix for system property placeholders: "}"

  See Also:
    Constant Field Values

Constructor Detail

### SystemPropertyUtils

    public SystemPropertyUtils()

Method Detail

### resolvePlaceholders

    public static String resolvePlaceholders(String text)

  Resolve ${...} placeholders in the given text, replacing them with corresponding system property values.

  Parameters:
    `text` - the String to resolve
  Returns:
    the resolved String
  See Also:
    `PLACEHOLDER_PREFIX`, `PLACEHOLDER_SUFFIX`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.